.modal-wrapper {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	padding: 2rem;
	animation: modal-wrapper-appearance 100ms;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 100;
}

@keyframes modal-wrapper-appearance {
	0% { background-color: rgba(0, 0, 0, 0.0); }
  100% { background-color: rgba(0, 0, 0, 0.5); }
}

.modal {
	height: 100%;
	background-color: Canvas;
	max-width: var(--max-page-width);
	margin: 0 auto;
	box-shadow: 0 0.5rem 1.25rem rgba(0, 0, 0, 0.25);
	border-radius: 0.5rem;
	animation: modal-zoom-in 150ms;
	overflow: hidden;
	display: flex;
	flex-direction: column;
}

.modal.narrow {
	max-width: 30rem;
}

.modal.auto-height {
	height: auto;
	max-height: 100%;
}

@keyframes modal-zoom-in {
	0% { transform: scale(0.85); }
  100% { transform: scale(1.00); }
}

.modal .modal-title {
	line-height: 1.25rem;
	font-weight: 600;
	padding: 0.25rem;
}

.modal .modal-content {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	flex-grow: 1;
	overflow: auto;
}

.modal .modal-header,
.modal .modal-footer {
	padding: 0.75rem;
	box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.125);
	z-index: 99;
}